unit vdv_lib;

interface
uses Dos,Crt;

procedure set_cursor_position(x,y:byte);
procedure show_cursor;
procedure hide_cursor;
procedure read_cursor_position(var x,y:integer);

implementation

procedure set_cursor_position(x,y:byte);
begin
asm
mov ah,15
int 10h
mov dh,y
mov dl,x
mov ah,2
int 10h
end;
end;

procedure read_cursor_position(var x,y:integer);
var xb,yb:byte;
begin
asm
mov ah,15
int 10h
mov ah,3
int 10h
mov xb,dl
mov yb,dh
end;
x:=xb;
y:=yb;
end;

procedure hide_cursor;
begin
asm
mov ah,01
mov ch,20h
int 10h
end;
end;

procedure show_cursor;
begin
asm
mov ah,01
mov ch,05fh
mov cl,9 {14-optimal}
int 10h
end;
end;

begin
end.