unit mous_lib;

interface
uses Dos,Crt;
procedure init_mouse;
procedure set_mouse_position(x,y:integer);
procedure hide_mouse;
procedure show_mouse;
procedure read_mouse_position(var x,y:integer);

implementation

procedure init_mouse;
var c:integer;
begin
asm
mov ax,0
int 33h
mov c,ax
end;

if (c=0) then
   begin
   writeln('An error encountered: cannot initialize mouse.');
   readln;
   halt(0);
   end;

end;

procedure set_mouse_position(x,y:integer);
begin
asm
mov ax,4
mov cx,x
mov dx,y
int 33h
end;
end;

procedure hide_mouse;
begin
asm
mov ax,2
int 33h
end;
end;

procedure show_mouse;
begin
asm
mov ax,1
int 33h
end;
end;

procedure read_mouse_position(var x,y:integer);
var x1,y1:integer;
begin
asm
mov ax,3
int 33h
mov x1,cx
mov y1,dx
end;
x:=x1;
y:=y1;
end;

begin
end.




